> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 어노테이션 큐 삭제

> 어노테이션 큐를 삭제합니다(소프트 삭제).



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json delete /annotation_queues/{queue_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /annotation_queues/{queue_id}:
    delete:
      tags:
        - Annotation Queues
      summary: 어노테이션 큐 삭제
      description: 어노테이션 큐를 삭제합니다(소프트 삭제).
      operationId: annotation_queue_delete_annotation_queues__queue_id__delete
      parameters:
        - in: path
          name: queue_id
          required: true
          schema:
            title: Queue Id
            type: string
        - in: query
          name: project_id
          required: true
          schema:
            title: Project Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnnotationQueueDeleteRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    AnnotationQueueDeleteRes:
      description: 어노테이션 큐 삭제에 대한 응답입니다.
      properties:
        queue:
          $ref: '#/components/schemas/AnnotationQueueSchema'
      required:
        - queue
      title: AnnotationQueueDeleteRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AnnotationQueueSchema:
      description: annotation queue 응답을 위한 스키마입니다.
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by:
          title: Created By
          type: string
        deleted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Deleted At
        description:
          title: Description
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        project_id:
          title: Project Id
          type: string
        scorer_refs:
          items:
            type: string
          title: Scorer Refs
          type: array
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - project_id
        - name
        - description
        - scorer_refs
        - created_at
        - created_by
        - updated_at
      title: AnnotationQueueSchema
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````